
CoCoALib - Feature #957

New function: HasGBasis

27 Oct 2016 14:42 - Anna Maria Bigatti

Status: Closed Start date: 27 Oct 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 2.01 hours

Target version: CoCoALib-0.99550 spring 2017 Spent time: 1.60 hour

Description

How to know if the GBasis has already been computed?  there is a member flag (myGBasisIsValid), but we should have a function

(also in cocoa5):  sometimes we could have different strategies depending on whether a GBasis is known or not.

Related issues:

Related to CoCoALib - Feature #961: New function: ReducedGBasis Closed 03 Nov 2016

Related to CoCoALib - Feature #949: New function: IdealWithIncrementalGBasis(... New 18 Oct 2016

Related to CoCoALib - Feature #931: GBasis verbose mode Closed 24 Sep 2016

Related to CoCoA-5 - Slug #405: ReducedGBasis not memorized in an ideal Closed 09 Oct 2013

Related to CoCoALib - Bug #349: IdealOfPoints: gens are actually a GBasis Closed 18 May 2013

Related to CoCoA-5 - Feature #996: New function: IdealOfGBasis Closed 12 Jan 2017

Related to CoCoA-5 - Design #1020: Rename minimalized(I) into IdealOfMinGens(I)? Closed 06 Mar 2017

History

#1 - 02 Nov 2016 15:45 - Anna Maria Bigatti

- % Done changed from 0 to 10

I implemented it.

It took a remarkably long time mostly for choosing the name and deciding where to put it.

In fact this could be HasTidyGens in the abstract class ideal.

#2 - 02 Nov 2016 15:50 - Anna Maria Bigatti

Also implemented the member function IHaveGBasis

#3 - 02 Nov 2016 17:13 - John Abbott

- Status changed from New to In Progress

Even though I invented it, I do not much like the name TidyGens...

Also, it is not clear to me how to deal with the situation where an ideal might have both a GBasis and a JBasis (or even a Pommaret basis); what

should TidyGens produce in such a case?

#4 - 12 Jan 2017 15:12 - Anna Maria Bigatti

- Related to Feature #961: New function: ReducedGBasis added

#5 - 12 Jan 2017 15:13 - Anna Maria Bigatti

- Related to Feature #949: New function: IdealWithIncrementalGBasis(I, f) added

#6 - 12 Jan 2017 15:13 - Anna Maria Bigatti

- Related to Feature #931: GBasis verbose mode added
#7 - 12 Jan 2017 15:13 - Anna Maria Bigatti

- Related to Slug #405: ReducedGBasis not memorized in an ideal added

#8 - 12 Jan 2017 15:14 - Anna Maria Bigatti

- Related to Bug #349: IdealOfPoints: gens are actually a GBasis added

#9 - 12 Jan 2017 17:11 - Anna Maria Bigatti

- Related to Feature #996: New function: IdealOfGBasis added

#10 - 02 Mar 2017 13:31 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

#11 - 06 Mar 2017 16:51 - Anna Maria Bigatti

- Related to Design #1020: Rename minimalized(I) into IdealOfMinGens(I)? added

#12 - 29 Apr 2017 08:31 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 4.00 h to 2.01 h

#13 - 29 Apr 2017 08:32 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99550 spring 2017
